Work at SourceForge, help us to make it a better place! We have an immediate need for a Support Technician in our San Francisco or Denver office.

Close

#851 Cannot compile in Debian SID

_FreeMind_1.0.0
open
nobody
None
5
2013-12-04
2013-07-30
W. van den Akker
No

Freemind 1.0.0.RC4 does not compile in Debian SID. I am the new maintainer for Debian and try to get 1.0.0-RC4 into SID.

Building freemind gives the following errors:
[javac] /tmp/buildd/freemind-1.0.0~rc4
+dfsg/freemind/freemind/preferences/layout/OptionPanel.java:52: cannot
find symbol
[javac] symbol : class ButtonBarFactory
[javac] location: package com.jgoodies.forms.factories
[javac] import com.jgoodies.forms.factories.ButtonBarFactory;
[javac] ^
[javac] /tmp/buildd/freemind-1.0.0~rc4
+dfsg/freemind/freemind/preferences/layout/OptionPanel.java:241: cannot
find symbol
[javac] symbol : variable ButtonBarFactory
[javac] location: class freemind.preferences.layout.OptionPanel
[javac] ButtonBarFactory.buildOKCancelBar(cancelButton,
okButton),
[javac] ^
[javac] /tmp/buildd/freemind-1.0.0~rc4
+dfsg/freemind/freemind/preferences/layout/OptionPanel.java:409:
RowSpec(java.lang.String) has private access in
com.jgoodies.forms.layout.RowSpec
[javac] rowSpec = new RowSpec("fill:20dlu");
[javac] ^
[javac] /tmp/buildd/freemind-1.0.0~rc4
+dfsg/freemind/freemind/view/mindmapview/EditNodeDialog.java:262: cannot
find symbol
[javac] symbol : method
register(javax.swing.JTextArea,boolean,boolean,boolean,boolean)
[javac] location: class com.inet.jortho.SpellChecker
[javac] SpellChecker.register(textArea, false, true, true,
true);
[javac] ^
[javac] /tmp/buildd/freemind-1.0.0~rc4
+dfsg/freemind/freemind/view/mindmapview/EditNodeTextField.java:232:
cannot find symbol
[javac] symbol : method
register(javax.swing.JTextField,boolean,boolean,boolean,boolean)
[javac] location: class com.inet.jortho.SpellChecker
[javac] SpellChecker.register(textfield, false, true, true,
true);
[javac] ^
[javac] Note: Some input files use or override a deprecated API.
[javac] Note: Recompile with -Xlint:deprecation for details.
[javac] 5 errors

It is caused because the JavaLibs changed.

Hope to hear from you

Discussion

  • Hi,

    I don't understand. Which release type do you use to compile the version? src.tar.gz? Which libraries are used?

    Sorry for the delay. A bug-report would have been more visible to me.

    Br, Chris